
#calling packages
library(ggplot2)
library(dplyr)
library(viridis)
library(geobr)
library(sf)
library(maptools)
library(leaflet)
library(RColorBrewer)
library(viridis)
library(ape)


#Loading brazilian states
mapa <- read_state(showProgress = FALSE)

#Poting brazilian states
class(mapa)
mapa
ggplot(mapa)+ 
  geom_sf()

#Selecting the capitals with information in the map
cidades <- data.frame(code_state = c(15, 31, 12, 53, 50, 23, 52, 16, 13, 17, 43, 11, 33, 29, 35))


#Ploting the data
data_map <- data.frame(code_state = c(15, 31, 12, 53, 50, 23, 52, 16, 13, 17, 43, 11, 33, 29, 35), 
                         size_samples = c(297, 1820, 50, 725, 198, 401, 471, 65, 60, 288, 
                                      759, 155, 1097, 70, 1093))

#Colorng by state
mapa %>% 
  left_join(data_map, by = "code_state") %>% 
  mutate(size_samples1 = 100*size_samples) %>%  
  ggplot(aes(fill = size_samples), color = "black") +
  geom_sf() + 
  scale_fill_viridis(option="turbo", direction = -1)


#Coloring capitals with circles
my_palette <- c("#1A476F", "#90353B", "#55752F", "#E37E00",
                "#C10534", "#6E8E84", "#938DD2", "#CAC27E", "#00FFFF",
                "#2D6D66", "#FFD200", "#800080", "#FF00FF", "#FF4500",
                "#BFA19C")

coord_pontos <- mapa %>% 
  left_join(data_map, by = "code_state") %>% 
  mutate(size_samples1 = 100*size_samples) %>% 
  st_centroid()

map <- ggplot(mapa)+ 
  geom_sf() + 
  geom_sf(data = coord_pontos, aes(size = size_samples), col = "blue", alpha = .65,
          show.legend = "point")

map

#Ploting the data with specific colors
map +scale_colour_manual(values = my_palette)
