library(tmap)
library(cartogram)
library(readxl)
library(sf)
library(dplyr)


data_pol <- st_read('D:/Users/.../br_regioes_da_federacao', layer = 'regioes_2010') #importing shapefile of Brazilian's regions

df <- read_excel('D:/Users/.../n_amostral.xlsx')# importing dataset 

dataset <- data_pol %>% left_join(df, by = c("nome" = "regiao"))

datasetproj <- st_transform(dataset, crs = 5880)

nz_carto = cartogram_cont(datasetproj, "relacao", itermax = 5)
map <- tm_shape(nz_carto) + tm_polygons("Region") 
tmap_save(map, "D:/Users/.../cartograma.pdf")


