# Packages
library(ggplot2)
library(dplyr)

Data <- read.csv2(file.choose(),header = T, sep = "\t")

# create data
# x Axis
time <- Data$Date_C
# y Axis
value <- Data$Prop               

# group, one shape per group
group <- Data$Variant_C       

#data frame
data <- data.frame(time, value, group)


# stacked area chart
ggplot(data, aes(x=time, y=value, fill=group)) + geom_area() +
scale_x_continuous(breaks = c(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13), 
                   labels = c("", "2021-04-30",
                              "2021-05-15", "2021-05-31", "2021-06-15",
                              "2021-06-30", "2021-07-15", "2021-07-31",
                              "2021-08-15", "2021-08-31", "2021-09-15",
                              "2021-09-30", "2021-10-15", "2021-10-31"))+
scale_fill_manual(values=c("#D53E4F", "#3288BD","#E69F00", "#C77CFF", "#C0C0C0"), 
                  labels= c("Delta", "Gamma", "Zeta", "Alpha", "Others")) +
theme_classic()
  

  