library(ggplot2)
library(tidyr)


df <- read.csv2(file.choose(),header = T, sep = "\t")

x = gather(df, key = "city", value = "percent", 4:18)

nax = which(x$percent == 0)

is.na(x$percent) <- nax

x = x[order(x$percent, decreasing = TRUE),]

ggplot(x, aes(x=city, y=Date_C, size=percent, fill= Variant)) + 
  scale_y_continuous(breaks = c(0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13), 
                     labels = c("", "2021-04-30",
                                "2021-05-15", "2021-05-31", "2021-06-15",
                                "2021-06-30", "2021-07-15", "2021-07-31",
                                "2021-08-15", "2021-08-31", "2021-09-15",
                                "2021-09-30", "2021-10-15", "2021-10-31")) + 
  scale_x_discrete(labels = c("Rio de Janeiro", "Braslia", "So Paulo", "Belo Horizonte",
                              "Porto Alegre", "Fortaleza", "Palmas", "Porto Velho", "Goiania",
                              "Belm", "Manaus", "Macap", "Salvador", "Boa Vista", "Campo Grande"))+
  geom_point(shape = 21, colour = "black", stroke = 1.1) + 
  scale_fill_manual(values=c("#D53E4F", "#3288BD")) +
  scale_size(range = c(.1, 18), name="Predominance (%)") +
  theme_classic() +
  ylab("Date") +
  xlab("Capital")