#changing directory
setwd("/Users/Desktop/")

#chamando as libs
library(ggplot2)
library(zoo)
library(RColorBrewer)
library(viridis)
library(ColorPalette)
library(splines2)
library(ggformula)
library(ggbreak)

my_palette <- c("#1A476F", "#90353B", "#55752F", "#E37E00",
                "#C10534", "#6E8E84", "#938DD2", "#CAC27E", "#00FFFF",
                "#2D6D66", "#FFD200", "#800080", "#FF00FF", "#FF4500",
                "#BFA19C")


#creating the tables

Gamma <- read.csv("/Users/Desktop/gamma.csv", header=T,sep="\t")
head(Gamma)

delta <- read.csv("/Users/Desktop/delta.csv", header=T,sep="\t")
head(delta)

other <- read.csv("/Users/Desktop/other.csv", header=T,sep="\t")
head(other)

alpha <- read.csv("/Users/Desktop/alpha.csv", header=T,sep="\t")
head(alpha)

zeta <- read.csv("/Users/Desktop/zeta.csv", header=T,sep="\t")
head(zeta)

## Gamma plot

gamma_plot <- ggplot(gama_joice2, aes(month, frequency2, colour=City)) + ylim(0,100) +
  geom_line(aes(y=rollmean(frequency2, 3, na.pad = TRUE))) +
  theme_bw()+
  scale_x_date(date_breaks = "month", date_labels = "%b %e")

gamma_plot +scale_colour_manual(values = my_palette)

##############
#Delta plot

delta_plot <- ggplot(delta_joice, aes(month, frequency2, colour=City)) + ylim(0,100) +
  geom_smooth(aes(y=rollmean(frequency2, 1, na.pad = TRUE))) +
  theme_bw()+
  scale_x_date(date_breaks = "month", date_labels = "%b %e")

delta_plot +scale_colour_manual(values = my_palette)

#####################
#Others plot

other_plot <- ggplot(other_joice, aes(month, frequency2, group=City)) + ylim(0,100) +
  geom_smooth(aes(y=rollmean(frequency2, 4, na.pad = TRUE))) +
  theme_bw()+
  scale_x_date(date_breaks = "month", date_labels = "%b %e")
 
other_plot + scale_colour_manual(values = my_palette) + scale_y_break(c(8, 10), scales = 2)

#############
#Alfa plot

alfa_plot <- ggplot(alfa_joice, aes(month, frequency2, colour=City)) + ylim(0,100) +
  geom_smooth(aes(y=rollmean(frequency, 3, na.pad = TRUE))) +
  theme_bw()+
  scale_x_date(date_breaks = "month", date_labels = "%b %e")

alfa_plot + scale_colour_manual(values = my_palette) + scale_y_break(c(8, 10), scales = 2)

#################################
#Zeta plot
zeta_plot <- ggplot(zeta_joice, aes(month, frequency, colour=City)) + ylim(0,100) +
  geom_smooth(aes(y=rollmean(frequency, 1, na.pad = TRUE))) +
  theme_bw()+
  scale_x_date(date_breaks = "month", date_labels = "%b %e")

zeta_plot + scale_colour_manual(values = my_palette) + scale_y_break(c(8, 10), scales = 2)

