#install.packages("meta")
#install.packages("openxlsx")
#install.packages("grid")
#install.packages("cowplot")
library(meta)						
library(openxlsx)					
library(grid)						
library(cowplot)					


sheet <- c("O2 saturation", "Fatigue", "Altered CT", "ICU") #The first four will be analyzed
lista_all <- list()

for(s in 1:length(sheet)){

	dados <- readWorkbook("Metanalise.xlsx",sheet = s)   #####
	resultado <- metabin(Delta_sim,Delta_total, Gamma_sim, Gamma_total,studlab= Cidade,
		data=dados, sm="OR", fixed=TRUE, random= TRUE) 
	forest(resultado,lab.e = "Case", lab.c = "Control", leftlabs = c(sheet[s], NA, NA, NA, NA))
	assign(paste0("resultado_",s), grid.grab(width = 2, height=2))
	lista_all[s] <- mget(paste0("resultado_",s))
}

lista <- sheet
ind_escolha <- 1:length(lista)


filename <- readline(prompt="Escolha o nome do arquivo desta anlise: ")
"%ni%" <- Negate("%in%")
png(file = paste0(filename, ".png"), width = 6000, height = 1900 * length(ind_escolha),res=600)  #abrir a captura
plots <- lista_all[ind_escolha]
plot_grid(plotlist = plots, labels = "AUTO", ncol = 1)
dev.off()
